;; -*- emacs-lisp -*-
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; $Id: emacs_jde.el,v 1.6 2006-11-06 21:02:42 rscholz Exp $
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Einstellungen fr Java-Mode (JDE)
;;
;; Die offizielle Quelle dieser Datei ist
;;   <http://www.zonix.de/projects/emacs/config>
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; JDE <http://sunsite.auc.dk/jde/>
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; requires cedet and elib
(add-to-list 'load-path (expand-file-name (concat zonix-elisp-dir "cedet/common")))
(load-file (expand-file-name (concat zonix-elisp-dir "cedet/common/cedet.el")))
(add-to-list 'load-path (expand-file-name (concat zonix-elisp-dir "elib")))

(add-to-list 'load-path (expand-file-name (concat zonix-elisp-dir "jde/lisp")))


;; Java Mode ld so lange, erst laden, wenn er gebraucht wird
;; Kleiner bser Hack von Dischi, der aber funktioniert

;; Java-Mode schon geladen?
(defvar jde-mode-loaded nil)

;; Lade Java Mode und aktiviere ihn
(defun load-jde-mode ()
  (interactive)
  (if (not jde-mode-loaded)
      (progn
	(require 'jde)
	(setq jde-mode-loaded t)))
  (jde-mode))


(setq auto-mode-alist 
      (append '(("\\.java$" . load-jde-mode)) auto-mode-alist))

