;; -*- emacs-lisp -*-
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; $Id: gnus_web.el,v 1.2 2006-11-06 21:02:42 rscholz Exp $
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Einstellungen fr WWW-Quellen fr Gnus
;;
;; Die offizielle Quelle dieser Datei ist
;;   <http://www.zonix.de/projects/emacs/config>
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; RSS                                      (Info-goto-node "(Gnus)RSS")
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; Tagesschau
(eval-after-load "nnrss"
  (quote
   (add-to-list 'nnrss-group-alist
		(list "Tagesschau"
		      "http://WWW.Tagesschau.DE/newsticker.rdf"
		      "Nachrichten der Tagesschau") t)))



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; gmane                                         <URL:http://gmane.org/>
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; From Ami Fischman in <m3lm68rvn3.fsf@fischman.org>
;; Fgt die gmane-URL des aktuellen Artikels in den Yank-Buffer ein.
(defun gmane-url()
  (interactive)
  (setq xref (aref gnus-current-headers 8))
  (string-match "\\([^ ]+\\):\\([0-9]+\\)" xref)
  (setq
   gurl (concat "http://news.gmane.org/article.php?id=" 
		(match-string 2 xref) "&group=" (match-string 1 xref)))
  (kill-new gurl)
  (message gurl))

